# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update mime database
if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# update hicolor icons
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
	rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null

if [ -x /usr/bin/glib-compile-schemas ]; then
  /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas/ >/dev/null 2>&1
fi

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi

( cd usr/lib/mono/qyoto ; rm -rf qt-dotnet.dll )
( cd usr/lib/mono/qyoto ; ln -sf ../gac/qt-dotnet/4.5.0.0__194a23ba31c08164/qt-dotnet.dll qt-dotnet.dll )
( cd usr/lib/mono/qyoto ; rm -rf qtscript.dll )
( cd usr/lib/mono/qyoto ; ln -sf ../gac/qtscript/2.2.0.0__194a23ba31c08164/qtscript.dll qtscript.dll )
( cd usr/lib/mono/qyoto ; rm -rf phonon.dll )
( cd usr/lib/mono/qyoto ; ln -sf ../gac/phonon/4.4.0.0__194a23ba31c08164/phonon.dll phonon.dll )
( cd usr/lib/mono/qyoto ; rm -rf qttest.dll )
( cd usr/lib/mono/qyoto ; ln -sf ../gac/qttest/2.2.0.0__194a23ba31c08164/qttest.dll qttest.dll )
( cd usr/lib/mono/qyoto ; rm -rf qtuitools.dll )
( cd usr/lib/mono/qyoto ; ln -sf ../gac/qtuitools/2.2.0.0__194a23ba31c08164/qtuitools.dll qtuitools.dll )
( cd usr/lib/mono/qyoto ; rm -rf qtwebkit.dll )
( cd usr/lib/mono/qyoto ; ln -sf ../gac/qtwebkit/2.2.0.0__194a23ba31c08164/qtwebkit.dll qtwebkit.dll )
( cd usr/lib64 ; rm -rf libqyoto.so )
( cd usr/lib64 ; ln -sf libqyoto.so.2 libqyoto.so )
( cd usr/lib64 ; rm -rf libqyoto.so.2 )
( cd usr/lib64 ; ln -sf libqyoto.so.2.0.0 libqyoto.so.2 )
